const uxp = require('uxp');
const storage = uxp.storage;
const fsp = storage.localFileSystem;
let btn = document.getElementById("selectFileBtn");

async function copyTo() {
	try {

		let fileOpts = {
			allowMultiple: false,
			types: undefined
		};


		let file = await fsp.getFileForOpening(fileOpts);
		let folder = await fsp.getDataFolder();
		let subEntries = await folder.getEntries();

		let copyOpts = {
			overwrite: true
		};

		//When copying to Data folder of the pluging
		//await file.copyTo(folder, copyOpts);           //Error: Route not found

		//When copying to a subfolder in the Data folder
		await file.copyTo(subEntries[0], copyOpts);      //Error: no such file or directory

	} catch (err) {
		console.error(err);
		return null;
	}
}

btn.addEventListener("click", () => {
	btn.blur();
	copyTo();
});